CREATE PROCEDURE [dbo].[C6_S_WritePDFintoDBRistampa]
	@IdReport as int,
	@img as image = null
AS
BEGIN
	SET NOCOUNT ON;
	INSERT INTO [dbo].[C6ReportFisico]
		   ([Rete]
		   ,[CodiceContratto]
		   ,[Cliente]
		   ,[NomeCliente]
		   ,[CognomeCliente]
		   ,[TipoReport]
		   ,[Data]
		   ,[StatoVerifica]
		   ,[StatoLock]
		   ,[Image]
		   ,[CodicePB]
		   ,[NomePB]
		   ,[CognomePB]
		   ,[NumeroPagine]
			,IDPadre)
	Select 
			[Rete]
		   ,[CodiceContratto]
		   ,[Cliente]
		   ,[NomeCliente]
		   ,[CognomeCliente]
		   ,'LR'
		   ,[Data]
		   ,[StatoVerifica]
		   ,[StatoLock]
		   ,@img
		   ,[CodicePB]
		   ,[NomePB]
		   ,[CognomePB]
		   ,[NumeroPagine] + 1
			,@IdReport
	from [dbo].[C6ReportFisico]
	where Identificativo = @IdReport
	RETURN @@identity
END